Bug 494468 - Filter on Cluster
Filter on Cluster
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
1.1.1
All Linux
high Severity high
: 1.3.2
: ---
Assigned To: Ernie
Jan Sarenik
:
Depends On: 647210
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 22:28 EDT by William Henry
Modified: 2011-02-15 07:11 EST (History)
9 users (show)

See Also:
Fixed In Version: cumin-0.1.4448-1.el5
Doc Type: Bug Fix
Doc Text:
When cumin displays long lists of items spread across multiple pages, it is difficult to find a specific item or group of items. The ability to search a list of items was added. The search term can appear anywhere in the search field.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-15 07:11:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Henry 2009-04-06 22:28:57 EDT
Description of problem:

Currently you can enter a complete job ID in the search and it navigates to the specific job. e.g. you can enter 5.31 for job 5.31. It would be nice to just enter 5 and see the console filter on all jobs in the cluster 5.

I noticed this when doing the demo last week. I submitted a job and there were 000s of jobs before my cluster of jobs. I wanted to see the list without having to scroll to through. It would be nice to have a filter.

Might also be useful to have a cluster view. I.e. collapse all jobs in a cluster into one line. (??)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 William Henry 2009-04-15 12:34:18 EDT
Also filter on user for admin to find a specific users jobs.
Comment 5 Justin Ross 2010-09-07 16:27:47 EDT
The core of this request, the part about focusing on just one cluster, is now addressed with submissions and the new navigation around them.

The other forms of filtering are, however, not addressed, and we unfortunately won't have time for them in 1.3.  Moving this to 1.3.1.
Comment 6 Justin Ross 2010-12-07 11:37:50 EST
Ernie has recently done work to support sql 'like' filtering on db-backed tables.  To satisfy William's request, we'll need similar support on memory-backed tables.

Then, finally, we'll need to deploy a specific filter control for cluster on jobs.  Ernie, sending this one your way.
Comment 8 Ernie 2010-12-17 14:03:00 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When cumin displays long lists of items spread across multiple pages, it is difficult to find a specific item or group of items.
The ability to search a list of items was added. The search term can appear anywhere in the search field.
Comment 9 Ernie 2010-12-23 12:05:10 EST
fixed in cumin 4440. Available in build 4444.
Comment 11 Jan Sarenik 2011-01-10 06:02:47 EST
Verified - cumin-0.1.4451-1.el5
Comment 12 Jan Sarenik 2011-01-28 11:40:25 EST
Verified with cumin-0.1.4494-1.el5 as well
Comment 13 errata-xmlrpc 2011-02-15 07:11:44 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0217.html

Note You need to log in before you can comment on or make changes to this bug.